//lcd.h
#include <ioml67q5003.h>

#define	CLR_DISP	0x01	
#define	DISP_ON		0x0C	
#define	DISP_OFF	0x08	
#define	CUR_HOME        0x02
#define	CUR_OFF 	0x0C
#define CUR_ON_UNDER    0x0E
#define CUR_ON_BLINK    0x0F
#define CUR_LEFT        0x10
#define CUR_RIGHT       0x14
#define	CUR_UP  	0x80	
#define	CUR_DOWN	0xC0
#define ENTER           0xC0
#define	DD_RAM_ADDR	0x80	
#define	DD_RAM_ADDR2	0xC0	

#define LCD_BASE        0xFC000000 // LCD definition

#define E_PULSE_BIT     0x04
#define RS_BIT          0x08
#define LIGHT_BIT       0x02

#define D0    0x01
#define D1    0x02
#define D2    0x04
#define D3    0x08
#define D4    0x10
#define D5    0x20
#define D6    0x40
#define D7    0x80


void Write(unsigned long Add, unsigned short uiData);

//void E_Pulse();
//void E_Pulse(unsigned short data);
void LCDInit();
void LCDSendCommand(unsigned short a);
void LCDSendChar(unsigned short a);
void LCDSendTxt(char* a);
void SmartUp(void);
void SmartDown(void);
void Light(unsigned char a);
void LCDSendADC(int adc1, int adc2);

